Subject: Re: NFS hangs. <[email-masked]>

From: Ken Hornstein <[email-masked]>

>I've just noticed that NetBSD uses connected UDP sockets for NFS ops.,
>with a different port for each host that it mounts.  This all works fine
>until I mount a partition of a dual-homed host with one interface on the
>same subnet as the netbsd host, and another elsewhere.
>[...]

Check out the -c option to mount_nfs:

     -c      For UDP mount points, do not do a connect(2).  This must be used
             for servers that do not reply to requests from the standard port
             number.

I think it might help in your situation.

--Ken